import 'package:flutter/material.dart';

import '../nb_utils.dart';

showConfirmDialog<bool>(context, String title,
    {positiveText = 'Yes', negativeText = 'No'}) async {
  return showDialog(
    context: context,
    barrierDismissible: false,
    child: AlertDialog(
      title: Text(title),
      actions: <Widget>[
        SimpleDialogOption(
          child: Text(negativeText, style: primaryTextStyle()),
          onPressed: () {
            Navigator.of(context).pop(false);
          },
        ),
        SimpleDialogOption(
          onPressed: () {
            Navigator.of(context).pop(true);
          },
          child: Text(positiveText, style: primaryTextStyle()),
        ),
      ],
    ),
  );
}

Future<dynamic> showInDialog(
  context, {
  Widget title,
  Widget child,
  ShapeBorder shape,
  TextStyle titleTextStyle,
  contentPadding = const EdgeInsets.fromLTRB(24.0, 20.0, 24.0, 24.0),
  scrollable = false,
  Color backgroundColor,
  double elevation,
  EdgeInsets insetPadding = const EdgeInsets.all(16),
  List<Widget> actions,
}) {
  return showDialog(
    context: context,
    child: AlertDialog(
      content: child,
      shape: shape,
      title: title,
      titleTextStyle: titleTextStyle,
      contentPadding: contentPadding,
      scrollable: scrollable,
      backgroundColor: backgroundColor,
      elevation: elevation,
      insetPadding: insetPadding,
      actions: actions,
    ),
  );
}
